Subject: Ticket Assigned - Re Order # 9516934211 Lost?
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 12 Dec 2021 16:47:28 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Re Order # 9516934211 Lost? Hello,
I have been calling customer care, and they are not delivering my order. Every day i receive sms order out for delivery, and then no delivery and no one calls. This going on since Last 6 days. One man called after i RAISED COMPLAINT WITH CUSTOMER CARE and he said he cant find the address. I sent him the pin. Still no delivery. I called him again next day he said he is off. Now he says the package is with someone else and there is no courier customer care.
Please refund my money or call me to cancel or definitely deliver !!!!
I am extremely disappointed.
Ejaz Waseem
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3565479